import request from '@/utils/request'

// 查询地图区间设置详细
export function getIntervalInfoByPointType(pointType) {
  return request({
    url: '/backstage/interval/' + pointType,
    method: 'get'
  })
}

// 修改地图区间设置
export function updateIntervalByPointType(data) {
  return request({
    url: '/backstage/interval',
    method: 'put',
    data: data
  })
}

// 查询地图区间设置列表
export function listInterval(query) {
  return request({
    url: '/backstage/interval/list',
    method: 'get',
    params: query
  })
}

// 查询地图区间设置详细
export function getInterval(id) {
  return request({
    url: '/backstage/interval/' + id,
    method: 'get'
  })
}

// 新增地图区间设置
export function addInterval(data) {
  return request({
    url: '/backstage/interval',
    method: 'post',
    data: data
  })
}

// 修改地图区间设置
export function updateInterval(data) {
  return request({
    url: '/backstage/interval',
    method: 'put',
    data: data
  })
}

// 删除地图区间设置
export function delInterval(id) {
  return request({
    url: '/backstage/interval/' + id,
    method: 'delete'
  })
}

// 导出地图区间设置
export function exportInterval(query) {
  return request({
    url: '/backstage/interval/export',
    method: 'get',
    params: query
  })
}
