import request from '@/utils/request'

// 获取所有层级级联列表
export function getTotalLevel(id) {
  return request({
    url: '/backstage/item/getTotalLevel/' + id,
    method: 'get',
  })
}

// 获取层级级联列表
export function getLevelById(id) {
  return request({
    url: '/backstage/item/getLevelById/' + id,
    method: 'get',
  })
}

// 获取层级级联列表
export function getLevel(query) {
  return request({
    url: '/backstage/item/getLevel',
    method: 'get',
    params: query
  })
}

// 查询指标层级列表
export function listItem(query) {
  return request({
    url: '/backstage/item/list',
    method: 'get',
    params: query
  })
}

// 查询指标层级详细
export function getItem(id) {
  return request({
    url: '/backstage/item/' + id,
    method: 'get'
  })
}

// 新增指标层级
export function addItem(data) {
  return request({
    url: '/backstage/item',
    method: 'post',
    data: data
  })
}

// 修改指标层级
export function updateItem(data) {
  return request({
    url: '/backstage/item',
    method: 'put',
    data: data
  })
}

// 删除指标层级
export function delItem(id) {
  return request({
    url: '/backstage/item/' + id,
    method: 'delete'
  })
}

// 导出指标层级
export function exportItem(query) {
  return request({
    url: '/backstage/item/export',
    method: 'get',
    params: query
  })
}
