import request from '@/utils/request'

// 获取指标列表详情
export function getTargetListDetail(id) {
  return request({
    url: '/backstage/theme/getTargetListDetail/'+ id,
    method: 'get',
  })
}

// 查询考核主题列表
export function getTargetList() {
  return request({
    url: '/backstage/theme/getTargetList',
    method: 'get',
  })
}

// 查询考核主题列表
export function listTheme(query) {
  return request({
    url: '/backstage/theme/list',
    method: 'get',
    params: query
  })
}

// 查询考核主题详细
export function getTheme(id) {
  return request({
    url: '/backstage/theme/' + id,
    method: 'get'
  })
}

// 新增考核主题
export function addTheme(data) {
  return request({
    url: '/backstage/theme',
    method: 'post',
    data: data
  })
}

// 修改考核主题
export function updateTheme(data) {
  return request({
    url: '/backstage/theme',
    method: 'put',
    data: data
  })
}

// 删除考核主题
export function delTheme(id) {
  return request({
    url: '/backstage/theme/' + id,
    method: 'delete'
  })
}

// 导出考核主题
export function exportTheme(query) {
  return request({
    url: '/backstage/theme/export',
    method: 'get',
    params: query
  })
}
